var iframe = document.createElement('iframe');
iframe.src = chrome.extension.getURL("iframe.html");
iframe.frameBorder = 0;

var style = document.createElement('style');
style.type = 'text/css';
style.appendChild(document.createTextNode('.solunoframes {position: fixed; right: 0px; top: 0px; width: 480px; height: 100%; display: none; z-index: 1000; overflow-x: hidden; overflow-y: scroll; opacity: 1; transition: opacity 1s linear;}'));
document.head.appendChild(style);

iframe.classList.add('solunoframes');
document.body.appendChild(iframe);

var nopop = false;
chrome.storage.local.get(['nopop'], function(items) {
    nopop = items.nopop;
});

chrome.storage.onChanged.addListener(function(changes, area) {
    if(changes.nopop) {
        chrome.storage.local.get(['nopop'], function(items) {
            nopop = items.nopop;
        });
    }
});

chrome.runtime.onMessage.addListener(function(message) {
    if (message == 'display' && !nopop) {
        iframe.style.display = 'block';
    }
    if (message == 'hide_popup') {
        iframe.style.display = 'none';
    }
    if (message == 'show_popup') {
        iframe.style.display = 'block';
    }
    if (message == 'toggle_popup') {
        iframe.style.display = (iframe.style.display == 'block' ? 'none' : 'block');
    }
});

