document.addEventListener("DOMContentLoaded", function(event) { 
    
    chrome.storage.local.get(['user', 'pass'], function(data) {
        $('#user').val(data.user);
        $('#pass').val(data.pass);
    });

    $(document).on('click', '#logout-button', function() {
        chrome.storage.local.set({
            'user': null,
            'pass': null
        }, function() {
            // Yay!
        });
        $('#info').html("");
    });

    $('#login').submit(function(event) {
//    $('#login-button').click(function (event) {
        var user = $('#user').val();
        var pass = $('#pass').val();
        
        chrome.storage.local.set({
            'user': user,
            'pass': pass
        }, function() {
            // Yay!
        });
        
        return false;
    });

    chrome.storage.onChanged.addListener(function(changes, area) {
        if(changes.error) {
            chrome.storage.local.get(['error'], function(items) {
                if(items.error) {
                    $('#info').html('<span class="alert alert-danger text-center"><strong>Inloggning misslyckades.</strong></span>');
                } else {
                    $('#info').html('');
                }
            });
        }

        if (changes.loggedin) {
            chrome.storage.local.get(['loggedin', 'user', 'pass'], function(items) {
                if(items.loggedin) {
                    $('#login-div').hide();
                    $('#info').html('Inloggad som ' + items.user + '. Klicka <a id="logout-button">här för att logga ut</a>.');
                } else {
                    $('#login-div').show();
                }
            });
        }
    });

    chrome.storage.local.get(['loggedin', 'user'], function(items) {
        if(items.loggedin) {
            $('#login-div').hide();
            $('#info').html('Inloggad som ' + items.user + '. Klicka <a id="logout-button">här för att logga ut</a>.');
        }
    });

});
